package it.polimi.ingsw.gc14.Model;

import it.polimi.ingsw.gc14.Model.Cards.TribeCard;
import org.junit.jupiter.api.Test;

import java.util.*;

import static org.junit.jupiter.api.Assertions.*;

class DecksCreatorTest {

    @Test
    void loadDeck() {
        List<TribeCard> cards = DecksCreator.loadTribeDeck("/Cards/tribe_era1.json");
        assertEquals(33,cards.size());
        List<TribeCard> cards2 = DecksCreator.loadTribeDeck("/Cards/tribe_era2.json");
        assertEquals(32,cards2.size());
        List<TribeCard> cards3 = DecksCreator.loadTribeDeck("/Cards/tribe_era3.json");
        assertEquals(29,cards3.size());
    }
}